Subject: Re: gdb hangs on a 486
From: CBFalconer <[email-masked]>
To: [email-masked]
Date: Thu, 31 Oct 2002 11:20:45 -0500

"Larry Hall (RFK Partners, Inc)" wrote:
> 
> At 11:13 PM 10/30/2002, CBFalconer wrote:
> >I have been trying out gdb in Cygwin, and found it to hang and/or
> >crash under W98, running on a 486.  The output of gdb --version
> >is:
> >
... snip ...
> > > This GDB was configured as "i686-pc-cygwin".
> >                               ^^^^^^^^^^^^^^
> >This appears unwarranted.  I would have assumed gdb would test and
> >adapt itself to the processor on which it is running.
> 
> At this point, I think most (all?) Cygwin packages are configured
> like this. Whether or not that's true, it's not unwarranted. There's 
> good reason to make use of the newer architectures' capabilities.

I can easily believe that.  It seems very poor practice to make
these assumptions without checking them somewhere and generating a
warning.  Such things can go in initialization or loading code.

... snip ...
> 
> gdb -nw
> 

Are you saying that the problem is limited to the GUI interface? 
Is this known, or just a guess?

> 
> Sounds like you may want to get the source, reconfigure, and build
> your own version targeting i386 or i486.

A non-trivial job, especially if the very tools are suspect.

-- 
Chuck F ([email-masked]) ([email-masked])
   Available for consulting/temporary embedded and systems.
   <http://cbfalconer.home.att.net>  USE worldnet address!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/